## latd 1.04-1

=== Makefile ===
# Makefile for LAT server

VERSION=1.04
PKGNAME=latd


PROG1=latd
PROG2=latcp
PROG3=llogin
MANPAGES1=llogin.1
MANPAGES5=latd.conf.5
MANPAGES8=latd.8 latcp.8
PROG1OBJS=main.o utils.o server.o connection.o session.o \
	  serversession.o clientsession.o portsession.o services.o \
	  latcpcircuit.o lat_messages.o lloginsession.o llogincircuit.o circuit.o
PROG2OBJS=latcp.o utils.o
PROG3OBJS=llogin.o utils.o

DEFS=-DVERSION=\"$(VERSION)\" -DLATCP_SOCKNAME=\"$(LATCPSOCK)\" -DLLOGIN_SOCKNAME=\"$(LLOGINSOCK)\"
DEFS+=-DUSE_OPENPTY #-DSETLOGIN_HOST
#DEFS+=-DVERBOSE_DEBUG -DNO_FORK -DDEBUG_MALLOC

prefix=/usr/local
LATCPSOCK="/var/run/latcp"
LLOGINSOCK="/var/run/latlogin"
OPTDEBUG=-g
CXX=g++ 
CXXFLAGS+=$(OPTDEBUG) $(DEFS) -pipe -Wstrict-prototypes -Wall -fno-rtti -fno-exceptions

#
# For DEB builds
#
ifdef DESTDIR
prefix=$(DESTDIR)/usr
endif

# For a released binary, make it optimised
ifdef RELEASE
OPTDEBUG=-O2
endif

#
# Targets:
#
all: $(PROG1) $(PROG2) $(PROG3)

$(PROG1): depend $(PROG1OBJS) 
	$(CXX) -o $@ $(PROG1OBJS) -lutil

$(PROG2): depend $(PROG2OBJS) 
	$(CXX) -o $@ $(PROG2OBJS)

$(PROG3): depend $(PROG3OBJS) 
	$(CXX) -o $@ $(PROG3OBJS)

install:
	install -d $(prefix)/sbin
	install -d $(prefix)/bin
	install -d $(prefix)/man/man1
	install -d $(prefix)/man/man5
	install -d $(prefix)/man/man8
	install -m 0750 -s $(PROG1) $(prefix)/sbin
	install -m 0750 -s $(PROG2) $(prefix)/sbin
	install -m 0755 -s $(PROG3) $(prefix)/bin
	install -m 0644 $(MANPAGES1) $(prefix)/man/man1
	install -m 0644 $(MANPAGES5) $(prefix)/man/man5
	install -m 0644 $(MANPAGES8) $(prefix)/man/man8

dep depend:
	@$(CXX) -MM *.cc >.depend 2>/dev/null

clean:
	rm -f .depend
	rm -f $(PROG1) $(PROG2) $(PROG3) *.o *.bak .depend 
	rm -rf debian/tmp

dist:
	rm  -f .depend
	rm -rf debian/tmp
	cd ..; tar czf latd-$(VERSION).tar.gz latd/*.h latd/*.cc \
		latd/BUGS latd/README latd/NEWS latd/Makefile \
                latd/WARRANTY latd/COPYING latd/INSTALL latd/TODO \
		latd/*.[1-8] latd/latd.conf latd/startlat.sh \
		latd/rpm.spec latd/debian/*

rpm:
	echo "%_topdir `pwd`" > .rpmmacros
	echo "`rpm --showrc|grep \^macrofiles`:`pwd`/.rpmmacros" >.rpmrc
	rm -rf rpmbuild BUILD RPMS
	make clean
	make prefix=/usr RELEASE=true
	make prefix=`pwd`/rpmbuild/usr install
	make dist
	install -d rpmbuild/usr/doc
	install -d rpmbuild/etc
	install -d rpmbuild/usr/doc/$(PKGNAME)-$(VERSION)
	install latd.conf rpmbuild/etc/latd.conf
	install -Dm 0700 startlat.sh rpmbuild/etc/rc.d/init.d/lat
	install -d rpmbuild/etc/rc.d/rc3.d
	ln -sf ../init.d/lat rpmbuild/etc/rc.d/rc3.d/S79lat
	ln -sf ../init.d/lat rpmbuild/etc/rc.d/rc3.d/K79lat
	sed -e's/%%PACKAGENAME%%/$(PKGNAME)/g'                          \
	    -e's/%%VERSION%%/$(VERSION)/g'                              \
	    -e's/%%MAJOR_VERSION%%/$(MAJOR_VERSION)/g'                  \
	    -e's@%%PREFIX%%@/usr@g'                                     \
	   < rpm.spec >$(PKGNAME).spec
	mkdir BUILD
	install README NEWS BUILD
	mkdir -p RPMS
	rpm -bb --buildroot `pwd`/rpmbuild --rcfile .rpmrc -v $(PKGNAME).spec
	rm -f $(PKGNAME).spec .rpmrc .rpmmacros

#
# Make Debian package.
#
deb:
	dpkg-buildpackage -rfakeroot


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== debian/changelog ===
latd (1.04-1) unstable; urgency=low

  * Remove command from server.h. It didn't belong in there anyway as it's
    a feature I'm working on for the next major release, but it broke
    builds that use gcc-3.0.
    Closes: bug#140644

 -- Patrick Caulfield <patrick@debian.org>  Mon, 02 Apr 2002 14:14:12 +0100

latd (1.03-1) unstable; urgency=low

  * Use std:: namespace so it compiles with GCC 3.0
  * Don't use makedepend for dependancy management.
  * Don't depend on libstdc++2.10-dev. 
    Closes: bug#104954
  * Fix includes in server.cc that depend for GLIBC version

 -- Patrick Caulfield <patrick@debian.org>  Sun, 15 Jul 2001 19:44:36 +0100

latd (1.02-1) unstable; urgency=low

  * Fixed bug where you *had* to specify a node name in reverse connections
  * New llogin program
  * This file is now a Debian changelog
  * Fix keepalives when connected to Tru64
  * Tidied MAC address internals
  * In fact, quite a lot of internal tidying and bug-fixing.
  * Move sockets into /var/run as per FHS
  * Fixed EOF trapping on local ports
  * Fixed latcp -d display of local ports (node & service were swapped)
  * Changed example latd.conf to show we can connect to services without 
    specifying a node name now
  * Closes: bug#85288

 -- Patrick Caulfield <patrick@debian.org>  Sat,  3 Mar 2001 13:29:08 +0000

latd (1.01-1) unstable; urgency=low

  * Listen on LAT multicast address so you don't need to put the interface(s)
    into "allmulti" mode, or have DECnet running
  * Deleting ports now works
    Thanks to Michael Hasselberg for those two patches
  * Can now use all (or any) ethernet adaptors in a system
  * Fix credit starvation on client sessions
  * Linux latd can talk to another Linux latd now (though not to itself)
  * latd now tidies /dev/lat directory at startup and shutdown
  * New -8 flag for ports to make then 8-bit clean

 -- Patrick Caulfield <patrick@tykepenguin.com>  Sat,  16 Dec 2000 15:13:09 +0000

latd (1.00-1) unstable; urgency=low

  * Support BREAK character
  * Added support for a group (gid) called "lat". If you have one of these
    in /etc/groups then users with that group can connect to reverse-LAT
    ports with no other privileges
  * Added startup script
  * Remove "LAT started", "LAT stopped" messages from latcp as they interfere 
    with the startup script and it's "not the Unix way"
  * Added RPM build target
  * Added DEB build target
  * Forced all node names & service names to be uppercase in latcp
  * Split -DOLDSTUFF into two bits: -DUSE_OPENPTY and -DSETLOGIN_HOST. The
    second option doesn't work on SuSE 6.4, but does on Debian 2.2 and RedHat
    6.2, the first should be fine on anything later than RedHat 5.2 (libc 2.0
    I think that means)

 -- Patrick Caulfield <patrick@tykepenguin.com>  Sat,  17 Sep 2000 15:13:09 +0000

=== debian/control ===
Source: latd
Section: net
Priority: extra
Maintainer: Patrick Caulfield <patrick@debian.org>
Build-Depends: fakeroot, debhelper(>=2.0)
Standards-Version: 3.5.0

Package: latd
Section: net
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}
Description: LAT (Local Area Transport) Daemon
 This is a server for DEC LAT. It allows users to log in to the Linux
 system from a LAT terminal server and also the creation of "reverse" LAT
 ports on the system that connect to other LAT services on the network.
 .
 There is also an llogin utility that allows users to login to remote 
 LAT services.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=latd

build:
	$(checkdir)
	make
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp `find debian/* -type d ! -name CVS ` debian/files* core
	-rm -f debian/*substvars
	dh_clean -k

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	install -d debian/tmp/etc
	install -d debian/tmp/usr/share
	install -m 0600 latd.conf debian/tmp/etc/latd.conf
	make install DESTDIR=`pwd`/debian/tmp RELEASE=true
	mv debian/tmp/usr/man debian/tmp/usr/share
	dh_installdirs
	dh_installchangelogs
	dh_installdocs
	dh_installman
	dh_link
	dh_installinit
	dh_strip
	dh_movefiles
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_installdeb
	dh_md5sums
	dh_builddeb


define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## latd 1.21

=== Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/latd
pkglibdir = $(libdir)/latd
pkgincludedir = $(includedir)/latd
top_builddir = .

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
ACLOCAL = ${SHELL} /home/patrick/dev/decnet/cvs/tmp/latd/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/patrick/dev/decnet/cvs/tmp/latd/missing --run tar
AUTOCONF = ${SHELL} /home/patrick/dev/decnet/cvs/tmp/latd/missing --run autoconf
AUTOHEADER = ${SHELL} /home/patrick/dev/decnet/cvs/tmp/latd/missing --run autoheader
AUTOMAKE = ${SHELL} /home/patrick/dev/decnet/cvs/tmp/latd/missing --run automake-1.7
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -DENABLE_DEFAULT_SERVICE -W
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"latd\" -DVERSION=\"1.21\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_PTY_H=1 -DHAVE_TERMIOS_H=1 -DHAVE_MCHECK_H=1 -DHAVE_NETINET_ETHER_H=1 -DHAVE_NET_ETHERNET_H=1 -DHAVE_FEATURES_H=1 -DHAVE_OPENPTY=1 -DLOGIN_BIN=\"/bin/login\" -DHAVE_LOCKDEV_H=1 -DLATCP_SOCKNAME=\"/var/run/latcp\" -DLLOGIN_SOCKNAME=\"/var/run/latlogin\" 
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INTERFACE = interfaces-linux.o
LDFLAGS = 
LIBLOCKDEV = -llockdev
LIBOBJS = 
LIBS = 
LIBUTIL = -lutil
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/patrick/dev/decnet/cvs/tmp/latd/missing --run makeinfo
OBJEXT = o
PACKAGE = latd
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 1.21
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build_alias = 
datadir = ${prefix}/share
exec_prefix = ${prefix}
host_alias = 
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/patrick/dev/decnet/cvs/tmp/latd/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = /etc
target_alias = 

AUTOMAKE_OPTIONS = 1.4 foreign

AM_CXXFLAGS = -fno-rtti -fno-exceptions -Wstrict-prototypes -Wno-unused

INCLUDES = -DLATD_CONF=\"$(sysconfdir)/latd.conf\" -DSBINDIR=\"$(sbindir)\" -DBINDIR=\"$(bindir)\"

sbin_PROGRAMS = latd latcp moprc
bin_PROGRAMS = llogin
sysconf_DATA = latd.conf.sample
man_MANS = latd.8 latcp.8 llogin.1 moprc.8 latd.conf.5
latd_SOURCES = main.cc \
	circuit.h circuit.cc \
	clientsession.h clientsession.cc \
	connection.h connection.cc \
	interfaces.h interfaces.cc \
	lat_messages.h lat_messages.cc \
	latcpcircuit.h latcpcircuit.cc \
	llogincircuit.h llogincircuit.cc \
	lloginsession.h lloginsession.cc \
	localportsession.h localportsession.cc \
	queuedsession.h queuedsession.cc \
	localport.h localport.cc \
	server.h server.cc \
	serversession.h serversession.cc \
	services.h services.cc \
	session.h session.cc \
	reversesession.h reversesession.cc \
	utils.h utils.cc \
	dn_endian.h lat.h

latcp_SOURCES = latcp.h latcp.cc utils.h utils.cc \
	 dn_endian.h lat.h

llogin_SOURCES = llogin.cc utils.cc
moprc_SOURCES = moprc.h moprc.cc interfaces.cc utils.cc
EXTRA_DIST = $(man_MANS) WARRANTY latd.conf.sample lat.html \
	interfaces-linux.cc interfaces-linux.h \
	interfaces-bpf.cc interfaces-bpf.h \
	mkrpm.sh rpm.spec startlat.sh


latd_DEPENDENCIES = interfaces-linux.o
latd_LDADD = $(latd_DEPENDENCIES) -lutil

moprc_DEPENDENCIES = interfaces-linux.o
moprc_LDADD = $(moprc_DEPENDENCIES)

llogin_LDADD = -llockdev
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =
bin_PROGRAMS = llogin$(EXEEXT)
sbin_PROGRAMS = latd$(EXEEXT) latcp$(EXEEXT) moprc$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS) $(sbin_PROGRAMS)

am_latcp_OBJECTS = latcp.$(OBJEXT) utils.$(OBJEXT)
latcp_OBJECTS = $(am_latcp_OBJECTS)
latcp_LDADD = $(LDADD)
latcp_DEPENDENCIES =
latcp_LDFLAGS =
am_latd_OBJECTS = main.$(OBJEXT) circuit.$(OBJEXT) \
	clientsession.$(OBJEXT) connection.$(OBJEXT) \
	interfaces.$(OBJEXT) lat_messages.$(OBJEXT) \
	latcpcircuit.$(OBJEXT) llogincircuit.$(OBJEXT) \
	lloginsession.$(OBJEXT) localportsession.$(OBJEXT) \
	queuedsession.$(OBJEXT) localport.$(OBJEXT) server.$(OBJEXT) \
	serversession.$(OBJEXT) services.$(OBJEXT) session.$(OBJEXT) \
	reversesession.$(OBJEXT) utils.$(OBJEXT)
latd_OBJECTS = $(am_latd_OBJECTS)
latd_LDFLAGS =
am_llogin_OBJECTS = llogin.$(OBJEXT) utils.$(OBJEXT)
llogin_OBJECTS = $(am_llogin_OBJECTS)
llogin_DEPENDENCIES =
llogin_LDFLAGS =
am_moprc_OBJECTS = moprc.$(OBJEXT) interfaces.$(OBJEXT) utils.$(OBJEXT)
moprc_OBJECTS = $(am_moprc_OBJECTS)
moprc_LDFLAGS =

DEFAULT_INCLUDES =  -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/circuit.Po \
	./$(DEPDIR)/clientsession.Po \
	./$(DEPDIR)/connection.Po ./$(DEPDIR)/interfaces.Po \
	./$(DEPDIR)/lat_messages.Po ./$(DEPDIR)/latcp.Po \
	./$(DEPDIR)/latcpcircuit.Po ./$(DEPDIR)/llogin.Po \
	./$(DEPDIR)/llogincircuit.Po \
	./$(DEPDIR)/lloginsession.Po \
	./$(DEPDIR)/localport.Po \
	./$(DEPDIR)/localportsession.Po ./$(DEPDIR)/main.Po \
	./$(DEPDIR)/moprc.Po ./$(DEPDIR)/queuedsession.Po \
	./$(DEPDIR)/reversesession.Po ./$(DEPDIR)/server.Po \
	./$(DEPDIR)/serversession.Po \
	./$(DEPDIR)/services.Po ./$(DEPDIR)/session.Po \
	./$(DEPDIR)/utils.Po
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(latcp_SOURCES) $(latd_SOURCES) $(llogin_SOURCES) \
	$(moprc_SOURCES)

NROFF = nroff
MANS = $(man_MANS)
DATA = $(sysconf_DATA)

DIST_COMMON = README $(srcdir)/Makefile.in $(srcdir)/configure COPYING \
	INSTALL Makefile.am NEWS TODO acinclude.m4 aclocal.m4 configure \
	configure.in depcomp install-sh missing mkinstalldirs
SOURCES = $(latcp_SOURCES) $(latd_SOURCES) $(llogin_SOURCES) $(moprc_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .cc .o .obj

am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)

$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure:  $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

$(ACLOCAL_M4):  configure.in acinclude.m4
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f"; \
	   $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f $(DESTDIR)$(bindir)/$$f"; \
	  rm -f $(DESTDIR)$(bindir)/$$f; \
	done

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
sbinPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
install-sbinPROGRAMS: $(sbin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(sbindir)
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(sbinPROGRAMS_INSTALL) $$p $(DESTDIR)$(sbindir)/$$f"; \
	   $(INSTALL_PROGRAM_ENV) $(sbinPROGRAMS_INSTALL) $$p $(DESTDIR)$(sbindir)/$$f || exit 1; \
	  else :; fi; \
	done

uninstall-sbinPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f $(DESTDIR)$(sbindir)/$$f"; \
	  rm -f $(DESTDIR)$(sbindir)/$$f; \
	done

clean-sbinPROGRAMS:
	-test -z "$(sbin_PROGRAMS)" || rm -f $(sbin_PROGRAMS)
latcp$(EXEEXT): $(latcp_OBJECTS) $(latcp_DEPENDENCIES) 
	@rm -f latcp$(EXEEXT)
	$(CXXLINK) $(latcp_LDFLAGS) $(latcp_OBJECTS) $(latcp_LDADD) $(LIBS)
latd$(EXEEXT): $(latd_OBJECTS) $(latd_DEPENDENCIES) 
	@rm -f latd$(EXEEXT)
	$(CXXLINK) $(latd_LDFLAGS) $(latd_OBJECTS) $(latd_LDADD) $(LIBS)
llogin$(EXEEXT): $(llogin_OBJECTS) $(llogin_DEPENDENCIES) 
	@rm -f llogin$(EXEEXT)
	$(CXXLINK) $(llogin_LDFLAGS) $(llogin_OBJECTS) $(llogin_LDADD) $(LIBS)
moprc$(EXEEXT): $(moprc_OBJECTS) $(moprc_DEPENDENCIES) 
	@rm -f moprc$(EXEEXT)
	$(CXXLINK) $(moprc_LDFLAGS) $(moprc_OBJECTS) $(moprc_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/circuit.Po
include ./$(DEPDIR)/clientsession.Po
include ./$(DEPDIR)/connection.Po
include ./$(DEPDIR)/interfaces.Po
include ./$(DEPDIR)/lat_messages.Po
include ./$(DEPDIR)/latcp.Po
include ./$(DEPDIR)/latcpcircuit.Po
include ./$(DEPDIR)/llogin.Po
include ./$(DEPDIR)/llogincircuit.Po
include ./$(DEPDIR)/lloginsession.Po
include ./$(DEPDIR)/localport.Po
include ./$(DEPDIR)/localportsession.Po
include ./$(DEPDIR)/main.Po
include ./$(DEPDIR)/moprc.Po
include ./$(DEPDIR)/queuedsession.Po
include ./$(DEPDIR)/reversesession.Po
include ./$(DEPDIR)/server.Po
include ./$(DEPDIR)/serversession.Po
include ./$(DEPDIR)/services.Po
include ./$(DEPDIR)/session.Po
include ./$(DEPDIR)/utils.Po

.cc.o:
	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \

## latd 1.22

=== Makefile ===
--- 
+++ 
@@ -52,7 +52,7 @@
 CXXDEPMODE = depmode=gcc3
 CXXFLAGS = -g -O2 -DENABLE_DEFAULT_SERVICE -W
 CYGPATH_W = echo
-DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"latd\" -DVERSION=\"1.21\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_PTY_H=1 -DHAVE_TERMIOS_H=1 -DHAVE_MCHECK_H=1 -DHAVE_NETINET_ETHER_H=1 -DHAVE_NET_ETHERNET_H=1 -DHAVE_FEATURES_H=1 -DHAVE_OPENPTY=1 -DLOGIN_BIN=\"/bin/login\" -DHAVE_LOCKDEV_H=1 -DLATCP_SOCKNAME=\"/var/run/latcp\" -DLLOGIN_SOCKNAME=\"/var/run/latlogin\" 
+DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"latd\" -DVERSION=\"1.22\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_PTY_H=1 -DHAVE_TERMIOS_H=1 -DHAVE_MCHECK_H=1 -DHAVE_NETINET_ETHER_H=1 -DHAVE_NET_ETHERNET_H=1 -DHAVE_FEATURES_H=1 -DHAVE_OPENPTY=1 -DLOGIN_BIN=\"/bin/login\" -DHAVE_LOCKDEV_H=1 -DLATCP_SOCKNAME=\"/var/run/latcp\" -DLLOGIN_SOCKNAME=\"/var/run/latlogin\" 
 DEPDIR = .deps
 ECHO_C = 
 ECHO_N = -n
@@ -82,7 +82,7 @@
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = 
-VERSION = 1.21
+VERSION = 1.22
 ac_ct_CC = gcc
 ac_ct_CXX = g++
 ac_ct_STRIP =

=== debian/changelog ===
latd (1.22) unstable; urgency=low

  * Fix some silly code errors.
    Closes: #261661

 -- Patrick Caulfield <patrick@debian.org>  Fri, 20 Aug 2004 14:22:40 +0100

latd (1.21) unstable; urgency=low

  * Don't expect an ACK to an ACK. (duh)
  * Cope with non-contiguous interface numbers in Linux
  * Remove tcflow() calls as they slow things down and don't
    achieve anything. This was particularly bad with DS90L servers
  * Try harder to write all data to a PTY.
  * Fix REQID message in moprc so it works with more servers.
  
 -- Patrick Caulfield <patrick@debian.org>  Wed, 24 Mar 2004 17:34:44 +0000

latd (1.20) unstable; urgency=low

  * Loads of protocol fixes and speed enhancements, so many I've forgotten
    them all now. Importantly I hope this version should be generally more
    reliable and faster than previous ones.
    NOTE: There are known problems with DECserver 90L terminal servers and
          this release.
  * Don't kill a circuit with outstanding data
  * Add -b switch to moprc
  * Add better support for DS90L servers reverse LAT
    (belated) thanks to Dmitri Popov for this.
  * (non-debian) Don't clobber /etc/latd.conf on "make install"
  * Add --disable-defservice to ./configure
  * Don't send out service multicasts if we have no services to advertise
  * Don't keep retrying connects for ever
  * Reduce delay between EOF and deleting a connection.
  
 -- Patrick Caulfield <patrick@debian.org>  Sat, 31 Jan 2004 17:32:27 +0000

latd (1.19) unstable; urgency=low

  * Some Darwin bpf interface fixes.
  * fix lat group on /dev/lat/ devices that was broken by my autoconf changes
    in 1.17
  * Fix memory leak caused by latcp -d & llogin -d
    (thanks to Sergei Gorbatov)

 -- Patrick Caulfield <patrick@debian.org>  Sat, 20 Dec 2003 15:16:21 +0000

latd (1.18.1-1) unstable; urgency=low
  
  * include <cassert>
    Closes: #195153
  
 -- Patrick Caulfield <patrick@debian.org>  Tue, 10 Jun 2003 08:21:04 +0100
  
  

latd (1.18-1) unstable; urgency=low

  * Fix configure --enable-debug
  * Fix configure --sysconfdir
  * Don't send issue file if it exists but is empty.
  * Add support for reverse-LAT services. you can now use LATSYM
    to print to LAT printers on Linux (and probably many other things too!)
  * Make sure node names are truncated at 16 characters
  * Fix shell job control problems when connecting to some systems
  * Send remote credit a little earlier in an attempt to avoid those
    annoying pauses.

 -- Patrick Caulfield <patrick@debian.org>  Sun, 20 Apr 2003 10:59:36 +0100

latd (1.17-1) unstable; urgency=low

  * Add support for a MOPRC_INTERFACE env variable.
  * Fix bug in the lastest retransmit code that screwed up
    queued connections rather badly.
  * Don't show status messages to /dev/lat ports
  * moprc is now a C++ program that uses the LATinterfaces class.
  * llogin -p only locks devices if liblockdev is found
  * Porting work for *BSD and Darwin.
    HUGE thanks to Matthew Fredette of NetBSD for all the bpf work.
  * Use autoconf to configure and build. Again Matthew Fredette did
    most of the work for this, but I added the Linux bits.

 -- Patrick Caulfield <patrick@debian.org>  Sat, 15 Mar 2003 14:17:42 +0000

latd (1.16-1) unstable; urgency=low

  * Don't use an IP socket for finding interfaces. So now you
    can use LAT (& moprc) with a kernel that doesn't have IP.
  * Fix latcp man page (-J and -j were wrong way round)
  * llogin -L disables locking when using -p
  * latd now expires services if it doesn't receive HELLOs
  * Expand escape sequences in /etc/issue.net or /etc/issue.lat
  * Fix crash on queued connections referencing freed memory.
  * moprc now ignores duplicate messages it receives. This fixes
    odd behaviour with some Emulex targets
  * Put a timeout on CONNECT and COMMAND messages so we can resend
    them if we get no reply.
  * Check connection IDs more carefully.

 -- Patrick Caulfield <patrick@debian.org>  Fri, 10 Jan 2003 10:18:00 +0000

latd (1.15-1) unstable; urgency=low

  * More DS90L+ fixes (keepalive message format)
  * Fix iostreams so they produce the correct output in gcc 3.0 & 2.95.
    Now I know why people really hate iostreams.
  * Use getloadavg() rather than /proc to get load average.
  * Close all FDs before forking server processes.
  * Always send an ACK for a packet with data in it.
  * llogin uses lock files for device connections

 -- Patrick Caulfield <patrick@debian.org>  Wed, 14 Aug 2002 08:56:28 +0100

latd (1.14-1) unstable; urgency=low

  * gcc-3.0 compilation fixes in the new bits
  * Rewritten ethernet flow control
  * Increase moprc timeout a little.
  * Don't try to process zero-length packets
  * Include lat.html documentation
  * Tested on DECserver 700
  * Send "no more slots on circuit" message when closing a connection for
    that reason. Fixes reconnection on DECserver 90L+

 -- Patrick Caulfield <patrick@debian.org>  Wed, 19 Mar 2002 19:23:34 +0000

latd (1.13-1) unstable; urgency=low

  * Fail attempts to create /dev/lat ports twice
  * Delete /dev/lat ports when latcp -D -p is run
    (thanks to Denis Komissarov) for those two.
  * Use local name in ENQ message for DS90L servers instead of the
    stupid one I left in there after testing.
  * Get rid of spurious "Queued" status messages and put the
    service name in there.
  * Fix multiple queued connections to the same server that I broke in 1.11
  * Don't make queued connection queries interfere with existing services table
  * Restrict data slots to 250 bytes so as not to break DECserver 200s
  * Made the keepalive timer less susceptible to drift on busy systems.

 -- Patrick Caulfield <patrick@debian.org>  Sat, 16 Feb 2002 16:25:52 +0000

latd (1.12-1) unstable; urgency=low

  * llogin -r is an alias for llogin -R (easier to type!)
  * New moprc program for remote administration of terminal servers
  * llogin can now connect to passworded services using llogin -w
  * Split out Linux-specific code into its own class


## latd 1.23

=== Makefile ===
--- 
+++ 
@@ -52,7 +52,7 @@
 CXXDEPMODE = depmode=gcc3
 CXXFLAGS = -g -O2 -DENABLE_DEFAULT_SERVICE -W
 CYGPATH_W = echo
-DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"latd\" -DVERSION=\"1.22\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_PTY_H=1 -DHAVE_TERMIOS_H=1 -DHAVE_MCHECK_H=1 -DHAVE_NETINET_ETHER_H=1 -DHAVE_NET_ETHERNET_H=1 -DHAVE_FEATURES_H=1 -DHAVE_OPENPTY=1 -DLOGIN_BIN=\"/bin/login\" -DHAVE_LOCKDEV_H=1 -DLATCP_SOCKNAME=\"/var/run/latcp\" -DLLOGIN_SOCKNAME=\"/var/run/latlogin\" 
+DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"latd\" -DVERSION=\"1.23\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_PTY_H=1 -DHAVE_TERMIOS_H=1 -DHAVE_MCHECK_H=1 -DHAVE_NETINET_ETHER_H=1 -DHAVE_NET_ETHERNET_H=1 -DHAVE_FEATURES_H=1 -DHAVE_OPENPTY=1 -DLOGIN_BIN=\"/bin/login\" -DHAVE_LOCKDEV_H=1 -DLATCP_SOCKNAME=\"/var/run/latcp\" -DLLOGIN_SOCKNAME=\"/var/run/latlogin\" 
 DEPDIR = .deps
 ECHO_C = 
 ECHO_N = -n
@@ -82,7 +82,7 @@
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = 
-VERSION = 1.22
+VERSION = 1.23
 ac_ct_CC = gcc
 ac_ct_CXX = g++
 ac_ct_STRIP = 
@@ -115,7 +115,7 @@
 
 AUTOMAKE_OPTIONS = 1.4 foreign
 
-AM_CXXFLAGS = -fno-rtti -fno-exceptions -Wstrict-prototypes -Wno-unused
+AM_CXXFLAGS = -fno-rtti -fno-exceptions -Wno-unused
 
 INCLUDES = -DLATD_CONF=\"$(sysconfdir)/latd.conf\" -DSBINDIR=\"$(sbindir)\" -DBINDIR=\"$(bindir)\"
 
@@ -151,7 +151,7 @@
 EXTRA_DIST = $(man_MANS) WARRANTY latd.conf.sample lat.html \
 	interfaces-linux.cc interfaces-linux.h \
 	interfaces-bpf.cc interfaces-bpf.h \
-	mkrpm.sh rpm.spec startlat.sh
+	mkrpm.sh rpm.spec startlat.sh latprint.sh
 
 
 latd_DEPENDENCIES = interfaces-linux.o

=== debian/changelog ===
latd (1.23) unstable; urgency=low

  * Send correct disconnect packets that don't upset VMS & some DECservers.
  * Fix some alignment problems on sparc.
  * Fix some double increments that break on some architectures.
  * Fix incoming reverse LAT that was broken in 1.22.
  * Include example script for using latd as a print server.
  
 -- Patrick Caulfield <patrick@debian.org>  Sun,  6 Mar 2005 13:43:02 +0000

## latd 1.23build1

=== debian/changelog ===
latd (1.23build1) breezy; urgency=low

  * Rebuild for new C++ ABI

 -- Matthias Klose <doko@ubuntu.com>  Tue, 28 Jun 2005 08:33:33 +0000

## latd 1.23.1

=== Makefile ===
--- 
+++ 
@@ -35,13 +35,13 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-ACLOCAL = ${SHELL} /home/patrick/dev/decnet/cvs/tmp/latd/missing --run aclocal-1.7
+ACLOCAL = ${SHELL} /home/patrick/dev/decnet/cvs/latd/missing --run aclocal-1.7
 AMDEP_FALSE = #
 AMDEP_TRUE = 
-AMTAR = ${SHELL} /home/patrick/dev/decnet/cvs/tmp/latd/missing --run tar
-AUTOCONF = ${SHELL} /home/patrick/dev/decnet/cvs/tmp/latd/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/patrick/dev/decnet/cvs/tmp/latd/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/patrick/dev/decnet/cvs/tmp/latd/missing --run automake-1.7
+AMTAR = ${SHELL} /home/patrick/dev/decnet/cvs/latd/missing --run tar
+AUTOCONF = ${SHELL} /home/patrick/dev/decnet/cvs/latd/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/patrick/dev/decnet/cvs/latd/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/patrick/dev/decnet/cvs/latd/missing --run automake-1.7
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
@@ -52,7 +52,7 @@
 CXXDEPMODE = depmode=gcc3
 CXXFLAGS = -g -O2 -DENABLE_DEFAULT_SERVICE -W
 CYGPATH_W = echo
-DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"latd\" -DVERSION=\"1.23\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_PTY_H=1 -DHAVE_TERMIOS_H=1 -DHAVE_MCHECK_H=1 -DHAVE_NETINET_ETHER_H=1 -DHAVE_NET_ETHERNET_H=1 -DHAVE_FEATURES_H=1 -DHAVE_OPENPTY=1 -DLOGIN_BIN=\"/bin/login\" -DHAVE_LOCKDEV_H=1 -DLATCP_SOCKNAME=\"/var/run/latcp\" -DLLOGIN_SOCKNAME=\"/var/run/latlogin\" 
+DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"latd\" -DVERSION=\"1.24\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_PTY_H=1 -DHAVE_TERMIOS_H=1 -DHAVE_MCHECK_H=1 -DHAVE_NETINET_ETHER_H=1 -DHAVE_NET_ETHERNET_H=1 -DHAVE_FEATURES_H=1 -DHAVE_OPENPTY=1 -DLOGIN_BIN=\"/bin/login\" -DHAVE_LOCKDEV_H=1 -DLATCP_SOCKNAME=\"/var/run/latcp\" -DLLOGIN_SOCKNAME=\"/var/run/latlogin\" 
 DEPDIR = .deps
 ECHO_C = 
 ECHO_N = -n
@@ -70,7 +70,7 @@
 LIBS = 
 LIBUTIL = -lutil
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} /home/patrick/dev/decnet/cvs/tmp/latd/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/patrick/dev/decnet/cvs/latd/missing --run makeinfo
 OBJEXT = o
 PACKAGE = latd
 PACKAGE_BUGREPORT = 
@@ -82,7 +82,7 @@
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = 
-VERSION = 1.23
+VERSION = 1.24
 ac_ct_CC = gcc
 ac_ct_CXX = g++
 ac_ct_STRIP = 
@@ -100,17 +100,17 @@
 host_alias = 
 includedir = ${prefix}/include
 infodir = ${prefix}/info
-install_sh = /home/patrick/dev/decnet/cvs/tmp/latd/install-sh
+install_sh = /home/patrick/dev/decnet/cvs/latd/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localstatedir = ${prefix}/var
 mandir = ${prefix}/man
 oldincludedir = /usr/include
-prefix = /usr
+prefix = /usr/local
 program_transform_name = s,x,x,
 sbindir = ${exec_prefix}/sbin
 sharedstatedir = ${prefix}/com
-sysconfdir = /etc
+sysconfdir = ${prefix}/etc
 target_alias = 
 
 AUTOMAKE_OPTIONS = 1.4 foreign

=== debian/changelog ===
latd (1.23.1) unstable; urgency=low

  * Fix compilation with gcc 4.1
    Closes: #355599

 -- Patrick Caulfield <patrick@debian.org>  Tue,  7 Mar 2006 08:52:23 +0000

## latd 1.25

=== Makefile ===
--- 
+++ 
@@ -106,11 +106,11 @@
 localstatedir = ${prefix}/var
 mandir = ${prefix}/man
 oldincludedir = /usr/include
-prefix = /usr/local
+prefix = /usr
 program_transform_name = s,x,x,
 sbindir = ${exec_prefix}/sbin
 sharedstatedir = ${prefix}/com
-sysconfdir = ${prefix}/etc
+sysconfdir = /etc
 target_alias = 
 
 AUTOMAKE_OPTIONS = 1.4 foreign
@@ -347,3 +347,4 @@
 	fi
 #	source='$<' object='$@' libtool=no \
 #	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
+#	$(CXXDEPMODE) $(depcomp) \

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 build:
 	$(checkdir)
+	./configure --prefix=/usr --sysconfdir=/etc
 	make
 	touch build
 
@@ -16,6 +17,8 @@
 	-rm -f `find . -name "*~"`
 	-rm -rf debian/tmp `find debian/* -type d ! -name CVS ` debian/files* core
 	-rm -f debian/*substvars
+	-rm -rf BUILD RPMS .deps
+	-rm -f config.status
 	dh_clean -k
 
 binary-indep: checkroot build
@@ -28,13 +31,12 @@
 	$(checkdir)
 	install -d debian/tmp/etc
 	install -d debian/tmp/usr/share
-	install -m 0600 latd.conf debian/tmp/etc/latd.conf
-	make install DESTDIR=`pwd`/debian/tmp RELEASE=true
+	make install DESTDIR=`pwd`/debian/tmp
+	mv debian/tmp/etc/latd.conf.sample debian/tmp/etc/latd.conf
 	mv debian/tmp/usr/man debian/tmp/usr/share
 	dh_installdirs
 	dh_installchangelogs
 	dh_installdocs
-	dh_installman
 	dh_link
 	dh_installinit
 	dh_strip

## latd 1.26

=== debian/changelog ===
latd (1.26) unstable; urgency=low

  * Fix compile on Debian/kFreeBSD
    Closes: #403740

 -- Patrick Caulfield <patrick@debian.org>  Tue, 19 Dec 2006 14:56:10 +0000

latd (1.25) unstable; urgency=low

  * llogin stops terminal driver generating CRs. Should help in editors.
  * Slightly improve a couple of error messages.
  * NB: 1.24 was a BSD-only fix.

 -- Patrick Caulfield <patrick@debian.org>  Mon,  7 Aug 2006 08:38:12 +0100

## latd 1.26.1

=== debian/changelog ===
latd (1.26.1) unstable; urgency=low

  * Fix for GCC 4.3
    Closes: #417318
  * Add LSB annotations to init script.
  
 -- Patrick Caulfield <patrick@debian.org>  Wed,  4 Apr 2007 08:56:17 +0100

## latd 1.26.2

=== Makefile ===
--- 
+++ 
@@ -52,13 +52,14 @@
 CXXDEPMODE = depmode=gcc3
 CXXFLAGS = -g -O2 -DENABLE_DEFAULT_SERVICE -W
 CYGPATH_W = echo
-DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"latd\" -DVERSION=\"1.24\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_PTY_H=1 -DHAVE_TERMIOS_H=1 -DHAVE_MCHECK_H=1 -DHAVE_NETINET_ETHER_H=1 -DHAVE_NET_ETHERNET_H=1 -DHAVE_FEATURES_H=1 -DHAVE_OPENPTY=1 -DLOGIN_BIN=\"/bin/login\" -DHAVE_LOCKDEV_H=1 -DLATCP_SOCKNAME=\"/var/run/latcp\" -DLLOGIN_SOCKNAME=\"/var/run/latlogin\" 
+DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"latd\" -DVERSION=\"1.25\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_PTY_H=1 -DHAVE_TERMIOS_H=1 -DHAVE_MCHECK_H=1 -DHAVE_NETINET_ETHER_H=1 -DHAVE_NET_ETHERNET_H=1 -DHAVE_FEATURES_H=1 -DHAVE_OPENPTY=1 -DLOGIN_BIN=\"/bin/login\" -DHAVE_LOCKDEV_H=1 -DLATCP_SOCKNAME=\"/var/run/latcp\" -DLLOGIN_SOCKNAME=\"/var/run/latlogin\"
 DEPDIR = .deps
 ECHO_C = 
 ECHO_N = -n
 ECHO_T = 
-EGREP = grep -E
+EGREP = /bin/grep -E
 EXEEXT = 
+GREP = /bin/grep
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
@@ -82,10 +83,9 @@
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = 
-VERSION = 1.24
+VERSION = 1.25
 ac_ct_CC = gcc
 ac_ct_CXX = g++
-ac_ct_STRIP = 
 am__fastdepCC_FALSE = #
 am__fastdepCC_TRUE = 
 am__fastdepCXX_FALSE = #
@@ -95,19 +95,26 @@
 am__quote = 
 bindir = ${exec_prefix}/bin
 build_alias = 
-datadir = ${prefix}/share
+datadir = ${datarootdir}
+datarootdir = ${prefix}/share
+docdir = ${datarootdir}/doc/${PACKAGE}
+dvidir = ${docdir}
 exec_prefix = ${prefix}
 host_alias = 
+htmldir = ${docdir}
 includedir = ${prefix}/include
-infodir = ${prefix}/info
+infodir = ${datarootdir}/info
 install_sh = /home/patrick/dev/decnet/cvs/latd/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
+localedir = ${datarootdir}/locale
 localstatedir = ${prefix}/var
-mandir = ${prefix}/man
+mandir = ${datarootdir}/man
 oldincludedir = /usr/include
+pdfdir = ${docdir}
 prefix = /usr
 program_transform_name = s,x,x,
+psdir = ${docdir}
 sbindir = ${exec_prefix}/sbin
 sharedstatedir = ${prefix}/com
 sysconfdir = /etc
@@ -342,9 +349,3 @@
 .cc.o:
 	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
 	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
-	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
-	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
-	fi
-#	source='$<' object='$@' libtool=no \
-#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
-#	$(CXXDEPMODE) $(depcomp) \

=== debian/changelog ===
latd (1.26.2) unstable; urgency=low

  * Fix includes for gcc 4.3
    Closes bug #454886

 -- Patrick Caulfield <patrick@debian.org>  Sat, 08 Dec 2007 11:09:24 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: extra
 Maintainer: Patrick Caulfield <patrick@debian.org>
-Build-Depends: fakeroot, debhelper(>=2.0)
-Standards-Version: 3.5.0
+Build-Depends: debhelper(>=2.0), liblockdev1-dev
+Standards-Version: 3.5.9
 
 Package: latd
 Section: net
@@ -16,4 +16,4 @@
  ports on the system that connect to other LAT services on the network.
  .
  There is also an llogin utility that allows users to login to remote 
- LAT services.
+ LAT services and a moprc utility for managing terminal servers remotely.

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,6 @@
 	install -d debian/tmp/usr/share
 	make install DESTDIR=`pwd`/debian/tmp
 	mv debian/tmp/etc/latd.conf.sample debian/tmp/etc/latd.conf
-	mv debian/tmp/usr/man debian/tmp/usr/share
 	dh_installdirs
 	dh_installchangelogs
 	dh_installdocs

## latd 1.28

=== Makefile ===
--- 
+++ 
@@ -35,13 +35,13 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-ACLOCAL = ${SHELL} /home/patrick/dev/decnet/cvs/latd/missing --run aclocal-1.7
+ACLOCAL = ${SHELL} /home/christine/dev/decnet/latd/missing --run aclocal-1.7
 AMDEP_FALSE = #
 AMDEP_TRUE = 
-AMTAR = ${SHELL} /home/patrick/dev/decnet/cvs/latd/missing --run tar
-AUTOCONF = ${SHELL} /home/patrick/dev/decnet/cvs/latd/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/patrick/dev/decnet/cvs/latd/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/patrick/dev/decnet/cvs/latd/missing --run automake-1.7
+AMTAR = ${SHELL} /home/christine/dev/decnet/latd/missing --run tar
+AUTOCONF = ${SHELL} /home/christine/dev/decnet/latd/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/christine/dev/decnet/latd/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/christine/dev/decnet/latd/missing --run automake-1.7
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
@@ -52,7 +52,7 @@
 CXXDEPMODE = depmode=gcc3
 CXXFLAGS = -g -O2 -DENABLE_DEFAULT_SERVICE -W
 CYGPATH_W = echo
-DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"latd\" -DVERSION=\"1.25\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_PTY_H=1 -DHAVE_TERMIOS_H=1 -DHAVE_MCHECK_H=1 -DHAVE_NETINET_ETHER_H=1 -DHAVE_NET_ETHERNET_H=1 -DHAVE_FEATURES_H=1 -DHAVE_OPENPTY=1 -DLOGIN_BIN=\"/bin/login\" -DHAVE_LOCKDEV_H=1 -DLATCP_SOCKNAME=\"/var/run/latcp\" -DLLOGIN_SOCKNAME=\"/var/run/latlogin\"
+DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"latd\" -DVERSION=\"1.28\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_PTY_H=1 -DHAVE_TERMIOS_H=1 -DHAVE_MCHECK_H=1 -DHAVE_NETINET_ETHER_H=1 -DHAVE_NET_ETHERNET_H=1 -DHAVE_FEATURES_H=1 -DHAVE_OPENPTY=1 -DLOGIN_BIN=\"/bin/login\" -DHAVE_LOCKDEV_H=1 -DLATCP_SOCKNAME=\"/var/run/latcp\" -DLLOGIN_SOCKNAME=\"/var/run/latlogin\"
 DEPDIR = .deps
 ECHO_C = 
 ECHO_N = -n
@@ -71,7 +71,7 @@
 LIBS = 
 LIBUTIL = -lutil
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} /home/patrick/dev/decnet/cvs/latd/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/christine/dev/decnet/latd/missing --run makeinfo
 OBJEXT = o
 PACKAGE = latd
 PACKAGE_BUGREPORT = 
@@ -83,7 +83,7 @@
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = 
-VERSION = 1.25
+VERSION = 1.28
 ac_ct_CC = gcc
 ac_ct_CXX = g++
 am__fastdepCC_FALSE = #
@@ -104,7 +104,7 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = /home/patrick/dev/decnet/cvs/latd/install-sh
+install_sh = /home/christine/dev/decnet/latd/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale
@@ -349,3 +349,4 @@
 .cc.o:
 	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
 	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
+	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \

=== debian/changelog ===
latd (1.28) unstable; urgency=low

  * Fix a typing delay bug.
  * Get rid of some compile-time warnings.
  * Fix a missing header with newer compilers
  * Fix debian build so it works with DH_COMPAT=5

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Sat, 04 Oct 2008 13:04:51 +0100

latd (1.27) unstable; urgency=low

  * Fix copyrights
  * Update auto tools

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Sun, 24 Aug 2008 14:10:57 +0100

## latd 1.30

=== debian/changelog ===
latd (1.30) unstable; urgency=low

  * Make it compile on Debian GNU/KFreeBSD (patch by Cyril Brulebois)
    Closes: #559409

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Sun,  6 Dec 2009 10:47:12 +0000

latd (1.29) unstable; urgency=low

  * Set MAX_CONNECTIONS back up to 254 from a debugging number of 4!
  * Increase the maximum number of replies which could cause crashes
    on busy systems.
    Fix from Hristo Grigorov, LUKOIL Technolodgy Services.

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Wed, 25 Jun 2009 10:24:32 +0100
	
